File APIs for Java Developers
Manipulate DOC, XLS, PPT, PDF and many others from your application.
http://aspose.com/file-tools
The moose likes Ant, Maven and Other Build Tools and the fly likes commons-looging version issue during a maven build Big Moose Saloon
  Search | Java FAQ | Recent Topics | Flagged Topics | Hot Topics | Zero Replies
Register / Login
JavaRanch » Java Forums » Engineering » Ant, Maven and Other Build Tools
Bookmark "commons-looging version issue during a maven build" Watch "commons-looging version issue during a maven build" New topic
Author

commons-looging version issue during a maven build

Jeevan Sunkersett
Ranch Hand

Joined: Jul 03, 2007
Posts: 77

Hi,

In the project in hand, I use Maven 2.0.9 as the build framework.

But a maven compile terminates with this error below;

I am unable to locate where 2 versions off commons-logging is being referred.

Checked all POMs to ensure that <dependency> on 'commons-logging' uses only <version> 1.0.4

But it seems somewhere version 1.0.3 is being refrenced implicitly.

Any pointers how to find the culprit code/ pom?

thanks
~g1


Martijn Verburg
author
Bartender

Joined: Jun 24, 2003
Posts: 3274
    
    5

Try 'mvn dependency:analyze'


Cheers, Martijn - Blog,
Twitter, PCGen, Ikasan, My The Well-Grounded Java Developer book!,
My start-up.
Jeevan Sunkersett
Ranch Hand

Joined: Jul 03, 2007
Posts: 77
Thanks.

But it did not take me any further as the build terminated with the same exception .... (2 versions of common-logging used, which is not allowed)

 
I agree. Here's the link: http://aspose.com/file-tools
 
subject: commons-looging version issue during a maven build